<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('website_setups', function (Blueprint $table) {
            $table->id();
            // $table->string('address')->nullable();
            // $table->string('contact')->nullable();
            // $table->string('opening_hours')->nullable();
            $table->string('facebook')->nullable();
            $table->string('youtube')->nullable();
            $table->string('instagram')->nullable();
            // $table->unsignedInteger('clients')->nullable();
            // $table->unsignedInteger('projects')->nullable();
            // $table->unsignedInteger('hours_support')->nullable();
            $table->string('bottle_image')->nullable();
            $table->string('booking_image')->nullable();
            $table->string('booking_card')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('website_setups');
    }
};
